Generate high-quality videos from an image and text prompt with Kling 3.0 Pro. Supports multiple aspect ratios, durations, and optional audio generation.
Property Value Provider Kling Model Kling 3.0 Pro Capability Image to Video Base Cost 112,000 micro-cents/second ($0.112/sec) Processing Time ~240 seconds
Request Body
Model slug. Use kling/kling-3.0-pro/image-to-video for image-to-video generation.
Input parameters for image-to-video generation. Text description of the video to generate (max 2500 characters).
URL of the input image to animate.
Video aspect ratio. Default: 16:9. Options: 16:9, 9:16, 1:1.
Video duration in seconds. Default: 5. Options: 5, 10, 15.
Enable audio generation. Default: false. Options: true, false.
HTTPS URL to receive a webhook notification when the job completes or fails.
Pricing
Base cost: 112,000 micro-cents per second ($0.112/sec)
finalCost = baseCost × duration × has_sound
Factor Option Multiplier Duration 55x 1010x 1515x Sound false1x true1.5x
Default cost: 5 seconds, no sound = 112,000 × 5 × 1 = 560,000 micro-cents ($0.56)
Response
Unique identifier for the submitted job.
Initial job status. Always "pending" on successful submission.
ISO 8601 timestamp of the estimated completion time.
The cost of the job in micro-cents.
Code Examples
curl -X POST https://api.muvi.video/v1/jobs/submit \
-H "Authorization: Bearer $PIXELBYTE_API_KEY " \
-H "Content-Type: application/json" \
-d '{
"model": "kling/kling-3.0-pro/image-to-video",
"input": {
"prompt": "The dog starts running and jumps over a fence",
"image_url": "https://example.com/dog.jpg",
"aspect_ratio": "16:9",
"duration": "5",
"has_sound": "false"
}
}'